site_name: synix docs
repo_url: https://git.sid.ovh/sid/synix
site_url: https://doc.sid.ovh/synix
site_dir: site
edit_uri: -/tree/master/docs/
repo_name: Git
docs_dir: docs
theme:
  name: material
  features:
    - content.code.select
markdown_extensions:
  - pymdownx.highlight:
      use_pygments: true
      anchor_linenums: true
      line_spans: __span
      pygments_lang_class: true
  - pymdownx.inlinehilite
  - pymdownx.snippets
  - pymdownx.superfences

nav:
  - Home: index.md # do not change
  - Introduction to Nix:
      - Overview: introduction-to-nix/overview.md
      - Install Nix: introduction-to-nix/install-nix.md
      - Nix Speedrun: introduction-to-nix/nix-speedrun.md
      - Derivations: introduction-to-nix/derivations.md
      - Nix Store: introduction-to-nix/nix-store.md
      - Nixpkgs: introduction-to-nix/nixpkgs.md
      - Flakes: introduction-to-nix/flakes.md
      - NixOS: introduction-to-nix/nixos.md
  - Getting Started:
      - Create your nix-config flake: getting-started/create-nix-config.md
      - Add configs to your flake: getting-started/add-configs.md
      - Install instructions: getting-started/install-instructions.md
  - Modules:
      - NixOS:
          - audio: modules/nixos/audio.md
          - baibot: modules/nixos/baibot.md
          - cifsMount: modules/nixos/cifsmount.md
          - common: modules/nixos/common.md
          - device: modules/nixos/device.md
          - ftp-webserver: modules/nixos/ftp-webserver.md
          - headplane: modules/nixos/headplane.md
          - headscale: modules/nixos/headscale.md
          - i2pd: modules/nixos/i2pd.md
          - jellyfin: modules/nixos/jellyfin.md
          - jirafeau: modules/nixos/jirafeau.md
          - mailserver: modules/nixos/mailserver.md
          - matrix-synapse: modules/nixos/matrix-synapse.md
          - mcpo: modules/nixos/mcpo.md
          - miniflux: modules/nixos/miniflux.md
          - normalUsers: modules/nixos/normalUsers.md
          - nvidia: modules/nixos/nvidia.md
          - open-webui-oci: modules/nixos/open-webui-oci.md
          - print-server: modules/nixos/print-server.md
          - radicale: modules/nixos/radicale.md
          - rss-bridge: modules/nixos/rss-bridge.md
          - sops: modules/nixos/sops.md
          - virtualisation: modules/nixos/virtualisation.md
          - webPage: modules/nixos/webpage.md
      - Home Manager:
          - bemenu: modules/home/bemenu.md
          - common: modules/home/common.md
          - gpg: modules/home/gpg.md
          - hyprland: modules/home/hyprland.md
          - kitty: modules/home/kitty.md
          - networkmanager-dmenu: modules/home/networkmanager-dmenu.md
          - nextcloud-sync: modules/home/nextcloud-sync.md
          - nixvim: modules/home/nixvim.md
          - password-manager: modules/home/password-manager.md
          - sops: modules/home/sops.md
          - stylix: modules/home/stylix.md
          - virtualisation: modules/home/virtualisation.md
          - waybar: modules/home/waybar.md
          - yazi: modules/home/yazi.md
  - Tips:
      - Useful Links: tips/useful-links.md
      - Dependency Tracing: tips/dependency-tracing.md
